package com.hzs.bonus.base.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hzs.bonus.base.service.*;
import com.hzs.common.domain.member.base.*;
import com.hzs.common.domain.member.ext.CuMemberExt;
import com.hzs.bonus.base.mapper.CuMemberMapper;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * 会员 服务实现类
 */
@Service
public class CuMemberServiceImpl extends ServiceImpl<CuMemberMapper, CuMember> implements ICuMemberService {

    @Override
    public CuMemberExt getMemberByCode(String memberCode) {
        return baseMapper.queryLoginMember(memberCode, null);
    }

    @Override
    public void updateCuMemberLevel(Date startDate, Date endDate) {
        baseMapper.updateCuMemberLevel(startDate, endDate);
    }

}
